import { type TypeInfo } from '@knapsack/spec-utils';
export type ComponentProps = Record<string, {
    required: boolean;
    description?: string;
    typeInfo: TypeInfo;
}>;
export type SlotInfo = {
    title: string;
    description?: string;
};
export type ComponentAnalysis = {
    props: ComponentProps;
    slots: SlotInfo[];
};
/**
 * Analyzes a React component to extract its props and slots information
 */
export declare function analyzeComponent({ fileName, exportName, pkgPathAliases, resolveFromDir, }: {
    fileName: string;
    exportName?: string;
    pkgPathAliases?: Record<string, string>;
    resolveFromDir?: string;
}): Promise<ComponentAnalysis>;
//# sourceMappingURL=react-component-analyzer.d.mts.map