import { RendererWebpackBase, Renderer as RendererType, KsJsImportMap } from '@knapsack/renderer-webpack-base';
import { CodeSrcUserConfig } from '@knapsack/types';
type Renderer = RendererType<'react'>;
export declare class KnapsackReactRenderer extends RendererWebpackBase<'react'> implements Renderer {
    #private;
    /**
     * `react.js` & `react-dom.js` root relative paths
     */
    assets: string[];
    babelConfig: Record<string, unknown>;
    constructor({ webpackConfig, demoWrapperPath, disableReactStrictMode, codeSrcs, }?: {
        webpackConfig?: ConstructorParameters<typeof RendererWebpackBase>[0]['webpackConfig'];
        demoWrapperPath?: string;
        /** When using React v18+, this option allows a workspace to _disable_ React's Strict Mode from running in Knapsack's React Renderer (StrictMode is enabled by default).
         *
         * See https://reactjs.org/docs/strict-mode.html for more info
         * */
        disableReactStrictMode?: boolean;
        codeSrcs?: CodeSrcUserConfig[];
    });
    setConfig: Renderer['setConfig'];
    init: Renderer['init'];
    hydrate: RendererWebpackBase['hydrate'];
    getMeta: Renderer['getMeta'];
    changeCase: Renderer['changeCase'];
    createWebpackConfig: RendererWebpackBase['createWebpackConfig'];
    prepClientRenderResults({ usage, demoApp, importMap, renderOptions: { demo }, }: {
        usage: string;
        demoApp: string;
        importMap: KsJsImportMap;
        renderOptions: Parameters<Renderer['render']>[0];
    }): ReturnType<Renderer['render']>;
    render: Renderer['render'];
    getUsageAndImports: RendererWebpackBase['getUsageAndImports'];
    getDiscovery: Renderer['getDiscovery'];
    inspect: Renderer['inspect'];
    watch: Renderer['watch'];
    getTemplateMeta: Renderer['getTemplateMeta'];
    alterTemplateMetaFiles: Renderer['alterTemplateMetaFiles'];
    getTemplateSuggestions: Renderer['getTemplateSuggestions'];
}
export {};
//# sourceMappingURL=renderer-react.d.ts.map